﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WindowsFormsApplication237
{
    public partial class Form1 : Form
    {
        DockAreaPane areaRight = new DockAreaPane(DockedLocation.DockedRight);
        DockAreaPane areaBottom = new DockAreaPane(DockedLocation.DockedBottom);

        DockableControlPane paneRight = new DockableControlPane("Right", "Right");
        DockableControlPane paneRight2 = new DockableControlPane("Right2", "Right2");
        DockableControlPane paneBottom = new DockableControlPane("Bottom", "Bottom");
        DockableControlPane paneBottom2 = new DockableControlPane("Bottom2", "Bottom2");
        DockableControlPane paneBottom3 = new DockableControlPane("Bottom3", "Bottom3");
        DockableControlPane paneBottom4 = new DockableControlPane("Bottom4", "Bottom4");


        public Form1()
        {
            InitializeComponent();

            areaBottom.ChildPaneStyle = ChildPaneStyle.TabGroup;
            areaRight.ChildPaneStyle = ChildPaneStyle.TabGroup;

            areaBottom.Panes.AddRange(new DockablePaneBase[] { paneBottom, paneBottom2, paneBottom3, paneBottom4 });
            areaRight.Panes.AddRange(new DockablePaneBase[] { paneRight, paneRight2 });

            areaBottom.Close(true);
            areaRight.Close(true);

            paneRight.Control = new Button();
            paneRight2.Control = new Button();

            paneBottom.Control = new Button();
            paneBottom2.Control = new Button();
            paneBottom3.Control = new Button();
            paneBottom4.Control = new Button();

            ultraDockManager1.DockAreas.AddRange(new DockAreaPane[] { areaBottom, areaRight });

        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            switch (e.Tool.Index)
            {
                case 0:
                {
                    areaRight.Show();
                    paneRight.Show();
                }
                    break;

                case 1:
                    {
                        areaRight.Show();
                        paneRight2.Show();
                    }
                    break;

                case 2:
                    {
                        areaBottom.Show();
                        paneBottom.Show();
                    }
                    break;
                case 3:
                    {
                        areaBottom.Show();
                        paneBottom2.Show();
                    }
                    break;
                case 4:
                    {
                        areaBottom.Show();
                        paneBottom3.Show();
                    }
                    break;
                case 5:
                    {
                        areaBottom.Show();
                        paneBottom4.Show();
                    }
                    break;


            }
        }
    }
}
